package io.dropwizard.documentation;

import io.dropwizard.documentation.db.Database;
import io.dropwizard.servlets.tasks.Task;

import java.io.PrintWriter;
import java.util.List;
import java.util.Map;

// core: TruncateDatabaseTask
public class TruncateDatabaseTask extends Task {
    private final Database database;

    public TruncateDatabaseTask(Database database) {
        super("truncate");
        this.database = database;
    }

    @Override
    public void execute(Map<String, List<String>> parameters, PrintWriter output) throws Exception {
        this.database.truncate();
    }
}
// core: TruncateDatabaseTask
